Page MenuHomePhabricator

SI-units needs additional formatting
Closed, ResolvedPublic

Description

Given that I have opened an article for translation in CX
And that the source language is Nynorsk
And the target language is Bokmål
And I have a text fragment with SI-units
When I translate the text in ContentTranslation
Then SI-units shall be kept in same formatting

Source

"Innsjøen er kring 6,5 km lang og 2,5 km brei, med eit areal på 11,4 km<sup>2</sup>, og ei største djupne på 169 m."

Target

"Innsjøen er rundt 6,5 KM lang og 2,5 KM bred, med et areal på 11,4 KM2, og en største djupne på 169 m."

The SI-units use additional superscript, which is lost. Note that "11,4 km<sup>2</sup>" becomes "11,4 KM2".

VisualEditor allows formatting for sub/sup to be set through [ctrl]+[,] and [ctrl]+[.] but it does not work when I try to use them.

There are other errors in the text fragments.

Event Timeline

jeblad created this task.Jun 9 2016, 6:20 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 9 2016, 6:20 PM
Amire80 triaged this task as Normal priority.Jun 19 2016, 12:21 PM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.
jeblad updated the task description. (Show Details)Apr 8 2018, 1:24 PM
Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:41 PM
Pginer-WMF closed this task as Resolved.Jun 24 2019, 2:30 PM
Pginer-WMF claimed this task.
Pginer-WMF added a subscriber: Pginer-WMF.

The new version of Content translation now uses the same editing surface as Visual Editor, so it should support the formatting described. If there are still issues feel free to repoen and provide details on how to reproduce them. thanks!